### Method

# Adw TabView insert

#### Declaration [src]

    AdwTabPage*
    adw_tab_view_insert (
      AdwTabView* self,
      GtkWidget* child,
      int position
    )

#### Description [src]

Inserts a non-pinned page at `position`.

It’s an error to try to insert a page before a pinned page, in that case `adw_tab_view_insert_pinned()` should be used instead.

#### Parameters

`child`

  Type: `GtkWidget`

  A widget to add.

  The data is owned by the caller of the method.

`position`

  Type: `int`

  The position to add `child` at, starting from 0

#### Return value

Type: `AdwTabPage`

The page object representing `child`.

The data is owned by the instance.